This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304595 - Console -- Update Java dependency to 1.8
Console -- Update Java dependency to 1.8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: UI - General UI (Show other bugs)
9.1.1
Unspecified Unspecified
unspecified Severity unspecified
: DS 9.1.2
: ---
Assigned To: Rich Megginson
Viktor Ashirov
: Reopened
: 1304783 (view as bug list)
Depends On: 1304594
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2016-02-04 00:17 EST by Noriko Hosoi
Modified: 2016-09-20 10:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-console-1.2.12-2.el6dsrv, 389-console-1.1.16-1.el6dsrv, idm-console-framework-1.1.15-1.el6dsrv, 389-admin-console-1.1.10-3.el6dsrv, redhat-admin-console-9.1.2-1.el6dsrv, redhat-ds-console-9.1.2-1.el6dsrv, redhat-idm-console-9.1.2-2.el6dsrv
Doc Type: Bug Fix
Doc Text:
Previously, Red Hat Directory Server Console required Java 6 (java-1.6.0). This update raises the minimum requirements to Java 8 (java-1.8.0).
Story Points: ---
Clone Of: 1304594
Environment:
Last Closed: 2016-09-20 10:46:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2016-02-04 00:17:07 EST
+++ This bug was initially created as a clone of Bug #1304594 +++

Description of problem:

https://fedorahosted.org/released/javapackages/doc/
Packages that require minimal Java standard version can add versioned dependencies on one of virtual packages providing Java environment. For example if packages depending on functionality of JDK 8 can require java-headless >= 1:1.8.0.
Note 	
Epoch in versions of JVM packages

For compatibility with JPackage project packages providing Java 1.6.0 or later use epoch equal to 1. This was necessary because package java-1.5.0-ibm from JPackage project had epoch 1 for some reason, so packages providing other implementations of JVM also had to use non-zero epoch in order to keep version ordering correct.

Current dependency:
    Requires: java >= 1:1.6.0
    BuildRequires: java-devel >= 1:1.6.0
Comment 1 Noriko Hosoi 2016-03-10 19:10:04 EST
*** Bug 1304783 has been marked as a duplicate of this bug. ***
Comment 3 Viktor Ashirov 2016-06-06 10:58:04 EDT
RHDS packages now depend on java >= 1.8. But ldapjdk pulls java-1.5.0-gcj, see the output below.

Resolving Dependencies
--> Running transaction check
---> Package redhat-ds.x86_64 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: redhat-idm-console for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-ds-console-doc for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-ds-console for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-ds-base for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-ds-admin for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-admin-console-doc for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: redhat-admin-console for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Processing Dependency: idm-console-framework for package: redhat-ds-9.1.2-1.el6dsrv.x86_64
--> Running transaction check
---> Package idm-console-framework.noarch 0:1.1.15-1.el6dsrv will be installed
--> Processing Dependency: jss >= 4.2.6-35 for package: idm-console-framework-1.1.15-1.el6dsrv.noarch
--> Processing Dependency: java >= 1.8.0 for package: idm-console-framework-1.1.15-1.el6dsrv.noarch
--> Processing Dependency: ldapjdk for package: idm-console-framework-1.1.15-1.el6dsrv.noarch
---> Package redhat-admin-console.noarch 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-admin-console for package: redhat-admin-console-9.1.2-1.el6dsrv.noarch
---> Package redhat-admin-console-doc.noarch 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-admin-console-doc for package: redhat-admin-console-doc-9.1.2-1.el6dsrv.noarch
---> Package redhat-ds-admin.x86_64 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-admin for package: redhat-ds-admin-9.1.2-1.el6dsrv.x86_64
---> Package redhat-ds-base.x86_64 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-ds-base for package: redhat-ds-base-9.1.2-1.el6dsrv.x86_64
---> Package redhat-ds-console.noarch 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-ds-console for package: redhat-ds-console-9.1.2-1.el6dsrv.noarch
---> Package redhat-ds-console-doc.noarch 0:9.1.2-1.el6dsrv will be installed
--> Processing Dependency: 389-ds-console-doc for package: redhat-ds-console-doc-9.1.2-1.el6dsrv.noarch
---> Package redhat-idm-console.x86_64 0:9.1.2-2.el6dsrv will be installed
--> Processing Dependency: 389-console for package: redhat-idm-console-9.1.2-2.el6dsrv.x86_64
--> Running transaction check
---> Package 389-admin.x86_64 0:1.1.43-2.el6dsrv will be installed
--> Processing Dependency: policycoreutils-python for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: perl-Mozilla-LDAP for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: perl(Mozilla::LDAP::Utils) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: perl(Mozilla::LDAP::LDIF) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: perl(Mozilla::LDAP::Conn) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: perl(Mozilla::LDAP::API) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: mod_nss for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: libicuuc.so.42()(64bit) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: libicui18n.so.42()(64bit) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: libicudata.so.42()(64bit) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: libadmsslutil.so.0()(64bit) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
--> Processing Dependency: libadminutil.so.0()(64bit) for package: 389-admin-1.1.43-2.el6dsrv.x86_64
---> Package 389-admin-console.noarch 0:1.1.10-3.el6dsrv will be installed
---> Package 389-admin-console-doc.noarch 0:1.1.10-3.el6dsrv will be installed
---> Package 389-console.noarch 0:1.1.16-1.el6dsrv will be installed
---> Package 389-ds-base.x86_64 0:1.2.11.15-74.el6 will be installed
--> Processing Dependency: 389-ds-base-libs = 1.2.11.15-74.el6 for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: cyrus-sasl-gssapi for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: cyrus-sasl-md5 for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: openldap-clients for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: perl(NetAddr::IP::Util) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: perl-NetAddr-IP for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: perl-Socket6 for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libnetsnmp.so.20()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libnetsnmpagent.so.20()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libnetsnmphelpers.so.20()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libnetsnmpmibs.so.20()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libslapd.so.0()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
--> Processing Dependency: libsvrcore.so.0()(64bit) for package: 389-ds-base-1.2.11.15-74.el6.x86_64
---> Package 389-ds-console.noarch 0:1.2.12-2.el6dsrv will be installed
---> Package 389-ds-console-doc.noarch 0:1.2.12-2.el6dsrv will be installed
---> Package java-1.8.0-openjdk.x86_64 1:1.8.0.91-1.b14.el6 will be installed
--> Processing Dependency: java-1.8.0-openjdk-headless = 1:1.8.0.91-1.b14.el6 for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjava.so(SUNWprivate_1.1)(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjli.so(SUNWprivate_1.1)(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjvm.so(SUNWprivate_1.1)(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: xorg-x11-fonts-Type1 for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libXtst.so.6()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libawt.so()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libgif.so.4()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjava.so()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjli.so()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
--> Processing Dependency: libjvm.so()(64bit) for package: 1:java-1.8.0-openjdk-1.8.0.91-1.b14.el6.x86_64
---> Package jss.x86_64 0:4.2.6-35.el6 will be installed
---> Package ldapjdk.x86_64 0:4.18-6.el6 will be installed
--> Processing Dependency: jpackage-utils >= 1.5 for package: ldapjdk-4.18-6.el6.x86_64
--> Processing Dependency: java-gcj-compat for package: ldapjdk-4.18-6.el6.x86_64
--> Processing Dependency: java-gcj-compat for package: ldapjdk-4.18-6.el6.x86_64
--> Processing Dependency: libgcj_bc.so.1()(64bit) for package: ldapjdk-4.18-6.el6.x86_64
--> Running transaction check
---> Package 389-adminutil.x86_64 0:1.1.22-1.el6dsrv will be installed
---> Package 389-ds-base-libs.x86_64 0:1.2.11.15-74.el6 will be installed
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.23-15.el6_6.2 will be installed
---> Package cyrus-sasl-md5.x86_64 0:2.1.23-15.el6_6.2 will be installed
---> Package giflib.x86_64 0:4.1.6-3.1.el6 will be installed
--> Processing Dependency: libICE.so.6()(64bit) for package: giflib-4.1.6-3.1.el6.x86_64
--> Processing Dependency: libSM.so.6()(64bit) for package: giflib-4.1.6-3.1.el6.x86_64
---> Package java-1.5.0-gcj.x86_64 0:1.5.0.0-29.1.el6 will be installed
rhds/filelists_db                                                                                                 |  13 kB     00:00     
rhel/filelists_db                                                                                                 | 3.4 MB     00:00     
--> Processing Dependency: sinjdoc for package: java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.91-1.b14.el6 will be installed
--> Processing Dependency: tzdata-java >= 2014f-1 for package: 1:java-1.8.0-openjdk-headless-1.8.0.91-1.b14.el6.x86_64
---> Package jpackage-utils.noarch 0:1.7.5-3.16.el6 will be installed
---> Package libXtst.x86_64 0:1.2.2-2.1.el6 will be installed
---> Package libgcj.x86_64 0:4.4.7-17.el6 will be installed
--> Processing Dependency: libart_lgpl >= 2.1.0 for package: libgcj-4.4.7-17.el6.x86_64
---> Package libicu.x86_64 0:4.2.1-14.el6 will be installed
---> Package mod_nss.x86_64 0:1.0.10-6.el6 will be installed
--> Processing Dependency: httpd-mmn = 20051115 for package: mod_nss-1.0.10-6.el6.x86_64
--> Processing Dependency: httpd for package: mod_nss-1.0.10-6.el6.x86_64
---> Package net-snmp-libs.x86_64 1:5.5-57.el6 will be installed
--> Processing Dependency: libsensors.so.4()(64bit) for package: 1:net-snmp-libs-5.5-57.el6.x86_64
---> Package openldap-clients.x86_64 0:2.4.40-12.el6 will be installed
---> Package perl-Mozilla-LDAP.x86_64 0:1.5.3-4.el6 will be installed
---> Package perl-NetAddr-IP.x86_64 0:4.027-7.el6 will be installed
---> Package perl-Socket6.x86_64 0:0.23-4.el6 will be installed
---> Package policycoreutils-python.x86_64 0:2.0.83-29.el6 will be installed
--> Processing Dependency: audit-libs-python >= 1.4.2-1 for package: policycoreutils-python-2.0.83-29.el6.x86_64
--> Processing Dependency: libsemanage-python >= 2.0.43-4 for package: policycoreutils-python-2.0.83-29.el6.x86_64
--> Processing Dependency: libcgroup for package: policycoreutils-python-2.0.83-29.el6.x86_64
--> Processing Dependency: libselinux-python for package: policycoreutils-python-2.0.83-29.el6.x86_64
--> Processing Dependency: setools-libs-python for package: policycoreutils-python-2.0.83-29.el6.x86_64
---> Package svrcore.x86_64 0:4.0.4-5.1.el6 will be installed
---> Package xorg-x11-fonts-Type1.noarch 0:7.2-11.el6 will be installed
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.2-11.el6.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-Type1-7.2-11.el6.noarch
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.2-11.el6.noarch
--> Processing Dependency: ttmkfdir for package: xorg-x11-fonts-Type1-7.2-11.el6.noarch
--> Running transaction check
---> Package audit-libs-python.x86_64 0:2.4.5-3.el6 will be installed
---> Package httpd.x86_64 0:2.2.15-53.el6 will be installed
--> Processing Dependency: httpd-tools = 2.2.15-53.el6 for package: httpd-2.2.15-53.el6.x86_64
--> Processing Dependency: apr-util-ldap for package: httpd-2.2.15-53.el6.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-2.2.15-53.el6.x86_64
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.2.15-53.el6.x86_64
---> Package libICE.x86_64 0:1.0.6-1.el6 will be installed
---> Package libSM.x86_64 0:1.2.1-2.el6 will be installed
---> Package libart_lgpl.x86_64 0:2.3.20-5.1.el6 will be installed
---> Package libcgroup.x86_64 0:0.40.rc1-17.el6_7 will be installed
---> Package libselinux-python.x86_64 0:2.0.94-7.el6 will be installed
---> Package libsemanage-python.x86_64 0:2.0.43-5.1.el6 will be installed
---> Package lm_sensors-libs.x86_64 0:3.1.1-17.el6 will be installed
---> Package setools-libs-python.x86_64 0:3.3.7-4.el6 will be installed
--> Processing Dependency: setools-libs = 3.3.7-4.el6 for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4(VERS_4.1)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1(VERS_1.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1(VERS_1.3)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.3)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4(VERS_4.1)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4(VERS_4.2)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libsefs.so.4(VERS_4.0)(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libapol.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libpoldiff.so.1()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libqpol.so.1()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libseaudit.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
--> Processing Dependency: libsefs.so.4()(64bit) for package: setools-libs-python-3.3.7-4.el6.x86_64
---> Package sinjdoc.x86_64 0:0.5-9.1.el6 will be installed
--> Processing Dependency: java_cup >= 0.10 for package: sinjdoc-0.5-9.1.el6.x86_64
---> Package ttmkfdir.x86_64 0:3.0.9-32.1.el6 will be installed
---> Package tzdata-java.noarch 0:2016c-1.el6 will be installed
---> Package xorg-x11-font-utils.x86_64 1:7.2-11.el6 will be installed
--> Processing Dependency: libXfont.so.1()(64bit) for package: 1:xorg-x11-font-utils-7.2-11.el6.x86_64
--> Processing Dependency: libfontenc.so.1()(64bit) for package: 1:xorg-x11-font-utils-7.2-11.el6.x86_64
--> Running transaction check
---> Package apr.x86_64 0:1.3.9-5.el6_2 will be installed
---> Package apr-util.x86_64 0:1.3.9-3.el6_0.1 will be installed
---> Package apr-util-ldap.x86_64 0:1.3.9-3.el6_0.1 will be installed
---> Package httpd-tools.x86_64 0:2.2.15-53.el6 will be installed
---> Package java_cup.x86_64 1:0.10k-5.el6 will be installed
---> Package libXfont.x86_64 0:1.5.1-2.el6 will be installed
---> Package libfontenc.x86_64 0:1.1.2-3.el6 will be installed
---> Package setools-libs.x86_64 0:3.3.7-4.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved


For ldapjdk I'll open a separate bug. This bug I mark as VERIFIED.
Comment 5 errata-xmlrpc 2016-06-08 08:10:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1210
Comment 6 Fedora Update System 2016-07-25 18:41:51 EDT
389-console-1.1.17-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8824bc47a2
Comment 7 Fedora Update System 2016-07-27 17:19:02 EDT
389-console-1.1.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8824bc47a2

Note You need to log in before you can comment on or make changes to this bug.